<div class='courses_list__course_card' appBorderStyle [course]="courseItem">
  <div class='courses_list__course_card__title'>
    <h3 *ngIf="isVideoCourse(courseItem); else ordinaryCourse">
      {{courseItem.title | uppercase}}
    </h3>
    <ng-template #ordinaryCourse><h3>{{courseItem.title}}</h3></ng-template>
    <i *ngIf="courseItem.rate" class="courses_list__course_card__rate_icon">&#11088;</i>
  </div>
  <div class='courses_list__course_card__details'>
      <span class="courses_list__course_card__details_duration font-italic">
        {{getCourseDuration(courseItem)}}
      </span>
    <span class="courses_list__course_card__details_date">
        {{getCourseDate(courseItem)}}
      </span>
  </div>
  <div class='courses_list__course_card__description'>
    Description: {{courseItem.description}}
  </div>
  <div class="courses_list__course_card__buttons">
    <button
      type="button"
      class="courses_list__course_card__details__edit_course_button"
      [routerLink]="['/courses', courseItem.id]"
    >
      <i class="fa fa-pencil" aria-hidden="true"></i>
      Edit
    </button>
    <button type="button" class="courses_list__course_card__details__delete_course_button"
            (click)="deleteCourseItem(courseItem)">
      <i class="fa fa-trash"></i>Delete
    </button>
  </div>
</div>
